﻿using ComPDFKit.PDFWatermark;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.EditTools.Watermark
{

    public class WatermarkCreateModel
    {
       
    }
    public class WatermarkInfo {

        /// <summary>
        /// 水印类型;
        /// </summary>
        public C_Watermark_Type WatermarkType { get; set; } = C_Watermark_Type.WATERMARK_TYPE_TEXT;

        /// <summary>
        /// 文本水印内容;
        /// </summary>
        public string Text { get; set; } = "";

        /// <summary>
        /// 文本水印颜色;
        /// </summary>
        public string TextColor { get; set; } = "#FFFFFF";

        /// <summary>
        /// 文本水印大小;
        /// </summary>
        public string TextSize { get; set; } = "5";

        /// <summary>
        /// 图片水印内容;
        /// </summary>
        public byte[] ImageArray { get; set; } = null;

        /// <summary>
        /// 图片水印大小;
        /// </summary>
        public float ImageSize { get; set; } = 5;

        /// <summary>
        /// 图片水印宽度;
        /// </summary>
        public int ImageWidth { get; set; } = 100;

        /// <summary>
        /// 图片水印高度;
        /// </summary>
        public int ImageHeight { get; set; } = 100;

        /// <summary>
        /// 水印页面范围;
        /// </summary>
        public string PageRange { get; set; } = "1";

        /// <summary>
        /// 水印垂直位置;
        /// </summary>
        public C_Watermark_Vertalign WatermarkVertalign { get; set; } = C_Watermark_Vertalign.WATERMARK_VERTALIGN_CENTER;

        /// <summary>
        /// 水印水平位置;
        /// </summary>
        public C_Watermark_Horizalign WatermarkHorizalign { get; set; } = C_Watermark_Horizalign.WATERMARK_HORIZALIGN_CENTER;

        /// <summary>
        /// 水印相对垂直距离;
        /// </summary>
        public float VertOffset { get; set; } = 0;

        /// <summary>
        /// 水印相对水平距离;
        /// </summary>
        public float HorizOffset { get; set; } = 0;

        /// <summary>
        /// 水印石否平铺;
        /// </summary>
        public bool Isfull { get; set; } = false;

        /// <summary>
        /// 水印平铺水平间距;
        /// </summary>
        public float HorizontalSpacing { get; set; } = 0;

        /// <summary>
        /// 水印平铺垂直间距;
        /// </summary>
        public float VerticalSpacing { get; set; } = 0;

        /// <summary>
        /// 水印旋转角度;
        /// </summary>
        public float Rotation { get; set; } = 0;

        /// <summary>
        /// 水印透明度;
        /// </summary>
        public byte Opacity { get; set; } = 100;

        /// <summary>
        /// 水印是否在页面上方;
        /// </summary>
        public bool IsFront { get; set; } = false;

    }
}
