﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.HomePageToolsDialogs
{
    public class HomePageSplitDialogModel
    {

        /// <summary>
        /// 拆分模式
        /// </summary>
        public SplitMode Mode = SplitMode.AveragePages;
        /// <summary>
        /// 拆分模式份数或者页数
        /// </summary>
        public int GetModeCount = 1;
        /// <summary>
        /// 页面信息
        /// </summary>
        public string PageRange = "1,3-4,10";
        /// <summary>
        /// 文件名标签
        /// </summary>
        public string FileNameLabel = "part";
        /// <summary>
        /// 文件名与标签分隔符
        /// </summary>
        public string FileNameDeimiter = "-";
        /// <summary>
        /// 文件名与标签分隔符
        /// </summary>
        public bool FrontFileName = true;
        /// <summary>
        /// 页码 存入页码范围;
        /// </summary>
        public List<int> PageParm = new List<int> { };


        public enum SplitMode
        {
            /// <summary>
            /// 按页平均拆分
            /// </summary>
            AveragePages,
            /// <summary>
            /// 按文件平均拆分
            /// </summary>
            AverageFiles,
            /// <summary>
            /// 自定义页码范围拆分
            /// </summary>
            CustomPageRange
        }
    }
}
