﻿using Prism.Commands;
using Prism.Mvvm;
using Prism.Services.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.ViewModels.Dialog.PageEditDialogs
{
    public class SplitDialogViewModel : BindableBase, IDialogAware
    {
        public string Title => "";

        public event Action<IDialogResult> RequestClose;

        public DelegateCommand CancelCommand { get; set; }

        public DelegateCommand SplitCommnad { get; set; }

        public SplitDialogViewModel()
        {
            CancelCommand = new DelegateCommand(cancel);
            SplitCommnad = new DelegateCommand(split);
        }
        private void cancel()
        {
            RequestClose.Invoke(new DialogResult(ButtonResult.Cancel));
        }

        private void split()
        {
            DialogParameters valuePairs = new DialogParameters();
            RequestClose.Invoke(new DialogResult(ButtonResult.OK, valuePairs));
        }


        public bool CanCloseDialog()
        {
            return true;
        }

        public void OnDialogClosed()
        {
           
        }

        public void OnDialogOpened(IDialogParameters parameters)
        {
            
        }
    }
}
